---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ .Release.Name }}-ingress
  namespace: {{ .Release.Namespace }}
  {{- with .Values.mattermost.ingress.annotations }}
  annotations:
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  ingressClassName: {{ .Values.mattermost.ingress.className }}
  rules:
  {{- range .Values.mattermost.ingress.hostnames }}
    - host: {{ . }}
      http:
        paths:
          - backend:
              service:
                name: {{ $.Release.Name }}
                port:
                  number: 8065
            path: /
            pathType: ImplementationSpecific
  {{- end }}
  tls:
    - hosts:
        {{ .Values.mattermost.ingress.hostnames | toYaml | nindent 8 }}
      secretName: {{ .Release.Name }}-tls